.menu-container {
  margin-left: -40px;
  margin-right: -20px;
  padding-top: 15px;
  padding-bottom: 0px;
  padding-left: 4px;
  margin-top: -10px;
}

.menu-container:after {
  display: table;
  clear: both;
  content: "";
}

.site-header-menu {
  display: none;
}

.main-navigation ul {
  margin: 0;
  padding: 0;
  margin-top: 7.5em;
  list-style: none;
  background-color: #ffffff;
}

.main-navigation ul li {
  margin-right: 40px;
  padding: 1em;
  font-size: 1.1rem;
}

.main-navigation ul ul li {
  padding-top: 1.2em;
  padding-bottom: 1.2em;
  padding-left: 10px;
  margin-right: 0;
  font-size: 1rem;
}

.main-navigation ul a,
.main-navigation ul a:visited {
  color: #3B2814;
  text-decoration: none;
  padding: 1em;
  font-weight: 500;
}

.active a {
  color: #F3B5D0 !important;
}

.top-nav-active {
  font-weight: 600 !important;
}

.main-navigation ul ul,
.main-navigation ul ul ul {
  display: none;
  margin-top: 25px;
  margin-left: -10px;
  background-color: #523B17;
  margin-right: -57px;
}

.main-navigation ul ul ul {
  background-color: #523B17;
}

.main-navigation ul ul a,
.main-navigation ul ul a:visited,
.main-navigation ul ul ul a,
.main-navigation ul ul ul a:visited {
  color: #ffffff;
}

.no-js .site-header-menu,
.site-header-menu.toggled-on {
  display: block;
}

.site-header-menu.toggled-on {
  margin-top: -100px;
}

.no-js .main-navigation ul,
.main-navigation ul .sub-menu.toggled-on {
  display: block;
}

button.dropdown-toggle,
button.menu-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;
  border: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  cursor: pointer;
  content: "";
  line-height: 1;
  vertical-align: middle;
}

button.dropdown-toggle {
  position: absolute;
  right: 32px;
  margin-top: -12px;
  margin-left: 10px;
  padding-top: 2px;
  padding-bottom: 2px;
  padding-left: 12px;
  padding-right: 12px;
  border-radius: 6px;
  box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, 0.055);
}

.hamburger {
  float: none;
  position: absolute;
  top: 2em;
  right: 2em;
}

.main-navigation a:focus,
.hamburger:focus,
button.hamburger:focus,
a:focus,
a img:focus {
  outline: 1px dotted grey;
  outline-offset: 2px;
}

.no-js .menu-button {
  display: none;
}

/* Plus symbol to expand sub-menu on mobile */
.dropdown-toggle {
  width: 44px;
  height: 44px;
  background: url("../kuvat/down-brown.svg") no-repeat center center, linear-gradient(#d8cbbd, #a28d77);
  background-size: 22px, cover;
}

/* symbol to collapse sub-menu on mobile */
.dropdown-toggle.toggled-on {
  background: url("../kuvat/up-brown.svg") no-repeat center center, linear-gradient(#d8cbbd, #a28d77);
  background-size: 22px, cover;
}

/* Screen readers */
.screen-readers {
  position: absolute !important;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
  word-break: normal !important;
  overflow: hidden;
  clip: rect(0 0 0 0);
}

/* Desktop media query */
@media only screen and (min-width: 1024px) {

  button.dropdown-toggle {
    right: 5px;
  }

  button.hamburger {
    display: none;
  }

  .menu-container {
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 0;
    margin: 0;
  }

  .site-header-menu {
    display: block;
    margin-left: 0px;
  }

  .main-navigation ul {
    position: relative;
    float: left;
    margin-top: 1.75em;
    background-color: transparent;
  }

  .main-navigation ul li {
    position: relative;
    float: left;
    margin: 0;
    padding: 0;
    margin-left: .75em;
    font-size: 1rem;
  }

  .main-navigation ul ul li {
    padding: 0 !important;
    margin: 0 !important;
  }

  .main-navigation ul li:first-of-type {
    margin-left: 0;
  }

  .main-navigation ul a,
  .main-navigation ul a:visited {
    padding: 0;
  }

  .main-navigation ul ul {
    margin-top: 0;
  }

  .no-js .main-navigation ul ul,
  .main-navigation ul ul {
    position: absolute;
    display: none;
    top: 100%;
    left: 0;
    margin-left: 0;
    padding: 0;
    z-index: 999;
  }

  .no-js .main-navigation ul ul li,
  .main-navigation ul ul li {
    float: none;
    width: 340px;
    margin-left: 0;
  }

  .main-navigation ul ul li a,
  .main-navigation ul ul li a:visited {
    display: block;
    padding: 1.65em;
    color: #ffffff;
  }

  .main-navigation ul ul li a:hover {
    background-color: #EAB7CF;
    color: #3B2814 !important;
  }

  .main-navigation ul .has-sub-menu > li {
    padding-right: 12px;
  }

  ul.sub-menu .dropdown-toggle {
    position: absolute;
  }

  .main-navigation ul ul ul,
  .no-js .main-navigation ul ul ul {
    top: 5px;
    left: 100%;
    margin-left: 0;
    margin-top: -5px;
  }

  button.dropdown-toggle {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    top: 0;
    width: 26px;
    height: 26px;
    margin-left: 10px;
    margin-right: 0;
    padding: 0;
    line-height: 1;
    vertical-align: middle;
    background-color: transparent;
    background-image: url('../kuvat/down-brown.svg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 22px;
    box-shadow: none;
    transform: translateY(2px);
  }

  button.dropdown-toggle.toggled-on {
    background-size: 22px;
    background-image: url('../kuvat/up-brown.svg');
  }

  ul ul button.dropdown-toggle {
    background-image: none;
  }

  .dropdown-toggle {
    height: 10px;
  }

  .main-navigation a:focus + button.dropdown-toggle,
  button.dropdown-toggle:focus,
  button.dropdown-toggle:active {
    color: #000000;
  }

  .main-navigation ul li:hover > ul {
    display: block;
  }

  .menu-item-has-children {
    margin-right: -5px !important;
  }

  .active a {
    background-color: #F3B5D0;
    color: #3B2814 !important;
  }
}

@media only screen and (min-width: 1023px) {

  .main-navigation ul {
    margin-top: 0;
  }

  .main-navigation ul li {
    font-size: 1rem;
  }

  .active2 a {
    background-color: #eab7cf;
    color: #3B2814 !important;
  }
}

@media only screen and (min-width: 1260px) {

  .main-navigation ul li {
    font-size: 1.175rem;
  }
}

/*!
 * Hamburgers
 * @description Tasty CSS-animated hamburgers
 * @author Jonathan Suh @jonsuh
 * @site https://jonsuh.com/hamburgers
 * @link https://github.com/jonsuh/hamburgers
 */
.hamburger {
  padding: 12px 12px;
  display: inline-block;
  cursor: pointer;
  transition-property: opacity, filter;
  transition-duration: 0.15s;
  transition-timing-function: linear;
  font: inherit;
  color: inherit;
  text-transform: none;
  background-image: linear-gradient(#4a3218 0%, #3B2814 100%);
  border-radius: 12px;
  border: 0;
  margin: 0;
  overflow: visible;
}

.hamburger:hover {
  opacity: 1;
}

.hamburger.is-active:hover {
  opacity: 1;
}

.hamburger.is-active .hamburger-inner,
.hamburger.is-active .hamburger-inner::before,
.hamburger.is-active .hamburger-inner::after {
  background-color: #ffffff;
}

.hamburger-box {
  width: 34px;
  height: 20px;
  display: inline-block;
  position: relative;
}

.hamburger-inner {
  display: block;
  top: 50%;
  margin-top: 1px;
  margin-left: 3px;
}

.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  width: 30px;
  height: 2px;
  background-color: #ffffff;
  border-radius: 0;
  position: absolute;
  transition-property: transform;
  transition-duration: 0.15s;
  transition-timing-function: ease;
}

.hamburger-inner::before,
.hamburger-inner::after {
  content: "";
  display: block;
}

.hamburger-inner::before {
  top: -10px;
}

.hamburger-inner::after {
  bottom: -10px;
}